Welcome to the new monday developer community
-
Recently active
Hi, I’m just wondering which url would I call to make a query or mutation? Also is there instructions on how to authenticate the call? Perviously in v1 it would have gone at the end of the url. This question is on my list of things to understand, or needing to figure out, while transitioning to graph QL from Rest. However, If anyone wants to show a quick example, that would be always ☀️ 😀
I’m using the following mutation to create and item and set a due date column’s date & time: mutation { create_item(board_id: 329635761, group_id: “Today”, item_name: “new item 1234”, column_values: “{"date48": {"date": "2019-05-03", "time": "11:25:00"}}”) { id } } Everything works fine, except that when I go to the data in Monday, the time has shifted too UTC. For example, the 11:25:00 above shows up in Monday as being due 06:25:00. My timezone in my Monday settings is for GMT-6. So, 06:25:00 would be the correct time in GMT (as adjusted for daylights savings time). Any idea why this is happening? I want the time in the due date column to show in my local time zone.
Hey @Stephen Continuing the discussion from Basic PHP API v2 Example: I think the issue here is that your query string has mismatched quotes, so our server is trying to parse “:” as the string instead of “Trainer” 🙂 Let me know if that helps! I’m not a PHP expert and I’m sure other folks on the community can assist here as well. 💯 Cheers, Dipro
Hi. I am new here. I tried to use the CURL example of modifying a column in my board. I copied the V2 API Token from my Admin Profile and pasted in the authorization tag. My Code: curl -X POST -H “Content-Type:application/json” -H “Authorization:XXXXXXX” “https://api.monday.com/v2” -d ‘{“query”:“mutation{change_column_value(item_id:323796391, board_id:321744566, column_id: “Customer”, value:”\\“Hello world\\”“){name}}”}’ I am receiving the below error message: Response Header HTTP/1.1 401 Unauthorized Date: Sun, 15 Sep 2019 16:20:59 GMT Content-Type: application/json; charset=utf-8 Transfer-Encoding: chunked Connection: keep-alive Set-Cookie: __cfduid=dac7d794b02f898fa3de2443fee6aefc21568564459; expires=Mon, 14-Sep-20 16:20:59 GMT; path=/; domain=.monday.com; HttpOnly; Secure Status: 401 Unauthorized Vary: Origin Cache-Control: no-cache X-Request-Id: 58c52b37-c4cc-4b1f-a47f-c0de6481a57a X-Runtime: 0.012797 Expect-CT: max-age=604800, report-uri=“https://report-uri.cloudflare.com/cdn-cg
Hi, I am just looking for a way to simply call a board via API and retrieve all pulses to be available in simple JSON or XML format to convert to a table. The help will be highly appreciated. Thanks
I was wondering if it’s possible to update the “existing” values for a status or dropdown column using the API. For example, if we have a status column named “Stage” that has possible values of “Ready”, “Editing”, and “Finished”, I would like to programmatically add a possible value called “Draft”.
Hello, with the v2 API in can’t read boards with state != “active” How can i check if a board is archived or deleted ? Thanks
Hi I wonder how can i get to know the create_at date of a board cuz it’s not in the board response schema and i’ve been trying to get around that by updates created_at property but with no luck Appreciate your help, Thanks, Youssef
Hey, I am using the API to create a new column of email type. This correctly creates a column with email value and some display text. However, when I use the update multiple columns mutation I get an invalid value exception.
Hello all, I’m trying to get any information via HTTP GET request and it seems that I’m doing something wrong, can anyone give me some examples to use this method? Example for what I’m trying to do: https://api.monday.com/v2/Authorization:/boards/<BOARD_ID> And it doesn’t work…
I’ve been trying to get the create_item mutation to work for a little while now but the server response tells me there’s a JSON parse error. I’ve tried escaping my column values manually and with JSON.stringify() but I always get the same error. Any help is much appreciated! Here’s my query: const mutation = ` mutation { create_item(board_id: MY_BOARD_ID, item_name: "a new item", column_values: "{\\"check\\": {\\"checked\\": \\"true\\"}}") { id } } `; return fetch('https://api.monday.com/v2/', { method: 'POST', headers: { 'Content-Type': 'application/json', 'Authorization': process.env.MONDAY_TOKEN, }, body: JSON.stringify({ query: mutation }), }) .then(response => response.json()); And here’s the error I get back in the response: errors: [ { message: 'Parse error on ": {" (STRING) at [3, 84]', locations: [Array] } ]
Hi. I want to get all data from all boards. Now I know how to get all boards and items ids, but what about columns? I try use this: query { boards(ids:XXX) { id name items(ids:XXX) { name id creator { id name } created_at column_values { title value text } } } } This three fields, is everything what i found here: title value text And it looks like some of them contain null values. For example, some column values is collection of labels. And some values is calendar date. How do I get them all? Thank you.
Greetings! I’m trying to use the api version 2 of your plataform, and i’m receiving the following error: Syntax Error GraphQL request (1:105) Expected :, found String “: {” I’m using python version 3.6 with gql module. This occurs when i try a mutation in a board. Here is the query: query = gql(“”" mutation {change_multiple_column_values (board_id: XXXXXXXX , item_id: XXXXXXX, column_values: “{“dma2”: {"index": "teste"}}”) {id}} “”") The query to select data is ok when i test with the same module and script. Could you please help-me with this problem?
I currently have basic text query mutations working just fine; however, I have a few fields that would be better suited to long-text, date, or dropdown datatypes. I’ve read through the documentation on mutating a few different datatypes, but I have had no luck using either the GraphiQL interface or my own Python script. If I try to mutate non-text fields, they just come up blank. Any examples of working syntax would be greatly appreciated.
There doesn’t seem to be a way to query board’s pulses by updated_at_desc, which is supported on API v1: https://monday.com/developers/#!/boards/GET_version_boards_board_id_pulses_format. Is custom ordering not supported on v2, or am I missing something in the documentation?
Hello, I am using “https://api.monday.com/v2/” as the URL and the following cURL options : “-X POST” & ¶ & “-H "Content-Type:application/json"” & ¶ & “-H "Authorization:[APIv2_token]"” & ¶ & “-d ‘{"query":"{boards {id}}"}’” I try to make a query but I keep receiving an empty response. Can you tell me what is wrong?
I can’t add multiple columns during add new pulse, kindly help me <?php $column_valuess = array( '0' => array( 'id' => 'name', 'type' => 'name', 'title' => 'Name', "width"=> 264, 'value' => 'value' ), '1' => array( "type"=> "text", "title"=> "First Name", "id"=> "text1", "value"=> "text1" ), '2'=>array( "type"=> "text", "title"=> "Last Name", "id"=> "first_name", 'value' => 'value' ), '3' =>array( "title"=> "Email", "type" => "text", "id" => "text6", "width"=> 126, 'value' => 'value' ), '4' =>array( "title"=> "Address", "type"=> "text", "id"=> "text7" ), '5' =>array( "title"=> "City", "type"=> "text", "id"=> "text78" ), '6' =>array( "title"=> "State", "type"=> "text", "id"=> "text53" ), '7' =>array( "title"=> "Country", "type"=> "country", "id"=> "country" ), '8' =>array( "type"=> "text
When querying my boards I put arguments to my query like: $ex_query = ‘{ boards (limit: 4, board_kind:public) { name } }’; This works fine. As soon I change the board_kind to shareable (in stead of public) I get the following message returned from my query: [message] => Argument ‘board_kind’ on Field ‘boards’ has an invalid value. Expected type ‘BoardKind’. Looks like shareable is not a valid board_kind (but it is listed in the documentation). Please help with a query for all shareable boards.
I can successfully place a very simple query in the interactive client, as well as using cURL: query{account{id, name}} But when I place the same query using Python, I get the following response: '{"errors":[{"message":"No query string was present"}],"account_id":XXXXXXX}' The API authentication works, because I am getting my account id back with the response. But every method I use returns “No query string was present”. Any ideas? My relevant code snippet: headers = {"Authorization" : creds.api_token} request = requests.post(creds.monday_api_url, json={"query" : "{account{id, name}}"}, headers=headers) if request.status_code == 200: return request.json() else: raise Exception( """ Query failed to run by returning code of {}. {} """.format(request.status_code, query))
If anyone familiar with Node.js wants to show an example of how to post to the new V2 Graphql api. Fetch or Request methods would be great as well.
Hi all, I am currently migrating old data requests from the API v1 to the new GraphQL API v2. I am having trouble figuring out how to parse the resultant JSON using something like JQ. I want to take s board, then take the column titles as my data “names” and the item values as the values. If anyone has tips on how to parse the json I would be appreciative. I have attached two example JSONs, the first being out.png which is the data I want to parse. The second is pipelineExample.png which is the format I want to obtain. I would have attached the JSON files but the forums do not support json attachments. Best, Isaiah Fisher
Hi, having trouble getting this to work, the API website simply has: change_column_value (board_id: 20178755, item_id: 200819371, column_id: "status", value: "{\\"index\\": 1}") { id } } which doesn’t work like the usual queries. Thanks in advance.
I have been doing quite a bit of automation. And have just hammered out some code today. this is some basic code to do simple queries in Powershell. I will obfuscate the API token to protect the not so innocent. [Net.ServicePointManager]::SecurityProtocol = “tls12, tls11, tls” $url = “https://api.monday.com/v2/” $hdr = @{} $hdr.Add(“Authorization” , “BIG LONG Token”) $hdr.Add(“Content-Type”,“application/json”) $bodytxt=‘{“query”:“{boards(limit:1){id name}}”}’ $response = Invoke-WebRequest -Uri $url -Headers $hdr -Method Post -body $bodytxt $resBoards = ($response.content | ConvertFrom-Json) $bodytxt = ‘{“query”:"{boards(ids:’ + $($resSheet.data.boards[0].id) + ‘),{columns{archived id title}}}"}’ Write-Host $bodytxt $response = Invoke-WebRequest -Uri $url -Headers $hdr -Method Post -body $bodytxt $resColumns = ($response.content | ConvertFrom-Json) $bodytxt = ‘{“query”:"{boards(ids:’ + $($resSheet.data.boards[0].id) + ‘),{items {creator{id} creator_id group{ id } id nam
Hey Guys! I’m trying to update status column via API using the label instead of the ID (I saw that it is well documented in the new API docs)… the problem is that it’s not working… this is my query: var query = { query: mutation ($board: Int!, $item: Int!, $column: String!, $value: JSON!) { change_column_value ( board_id: $board , item_id: $item , column_id: $column, value: $value ) { name } }, variables: { “board”: boardId, “item”: parseInt(itemId), “column”: columnId, “value”: JSON.stringify({ “label”: “Owner Review” }) } } this is the response: { error_code: ‘ColumnValueException’, status_code: 400, error_message: ‘change_column_value invalid value’, error_data: { column_value: ‘{“index”=>{:label_index=>16}}’, column_type: ‘StatusColumn’ } } I tried to use Ids to match the color numbers but I saw that you have “color mapping” which makes the color-id match inconsistent
Hi, I did for my own purposes long time ago python library (GitHub - klepek/monday_library: Python library for Monday.com (formerly dapulse)), today I have released updated version for v2 api. Feel free to fork/submit pull requests if you will find this useful. It might be a bit ugly 🙂
Already have an account? Login
No account yet? Create an account
Enter your E-mail address. We'll send you an e-mail with instructions to reset your password.